Bug 819588 - xterm man page conflicts with fedora patches xterm app-defaults
xterm man page conflicts with fedora patches xterm app-defaults
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xterm (Show other bugs)
16
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-07 12:06 EDT by Jim Helm
Modified: 2012-11-26 11:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-26 11:42:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jim Helm 2012-05-07 12:06:32 EDT
Description of problem:

The F16 xterm man page states:

       backarrowKey (class BackarrowKey)
               Specifies whether the backarrow key transmits a backspace (8) or delete (127) character.  This corresponds  to
               the DECBKM control sequence.  The default (backspace) is “true”.  Pressing the control key toggles this behav‐
               ior.


However, Fedora ships with 

/usr/share/X11/app-defaults/XTerm:

*VT100*backarrowKey: false


^H is my personal preference, mainly because I like begin able to use BS and SPACE to move back/forward in vi and vi-mode line editing - Fitt's Law - they are easier to hit than h/l.  I understand that ^? is the "correct" behavior for VT* emulation, but I should be able to set my personal preferences, using the man page as a reference, and get the expected behavior, without having to check the distro's changes.  Please patch the man page to change the documented default, or at the very least, mention that Fedora changes the default to false.

Thank you.
Comment 1 Thomas E. Dickey 2012-05-08 20:40:09 EDT
For what it's worth, the manpage describes the compiled-in defaults.
In cases where packagers have modified the manpage to describe
customizations, that's usually done in a paragraph near the end
of the manpage.
Comment 2 Thomas E. Dickey 2012-06-04 05:56:44 EDT
In patch #280, I'm adding configure-script options to control this
setting and a few related one (so that patching the app-defaults
file will be unnecessary).  That will also update the manpage.
Comment 3 Thomas E. Dickey 2012-06-27 07:41:00 EDT
from #280 (#281 is current):

add configure options to predefine the most commonly customized resources for terminal-settings, use those to substitute into the manpage the corresponding compiled-in values: altSendsEscape, backarrowKey, backarrowKeyIsErase, deleteIsDEL, metaSendsEscape (Redhat #819588).
Comment 4 Fedora Update System 2012-10-10 12:10:17 EDT
xterm-283-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/xterm-283-1.fc18
Comment 5 Fedora Update System 2012-10-10 12:14:01 EDT
xterm-283-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xterm-283-1.fc17
Comment 6 Fedora Update System 2012-10-10 21:00:03 EDT
Package xterm-283-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xterm-283-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15860/xterm-283-1.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-10-15 07:18:04 EDT
xterm-284-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/xterm-284-1.fc18
Comment 8 Fedora Update System 2012-10-15 07:19:34 EDT
xterm-284-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xterm-284-1.fc17
Comment 9 Fedora Update System 2012-11-08 01:11:16 EST
xterm-284-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.